%if %{undefined el8}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           ansible-collection-community-crypto
Version:        2.10.0
Release:        1%{?dist}
Summary:        Provides modules for Ansible for various cryptographic operations.
License:        GPL-3.0-or-later AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND PSF-2.0
URL:            %{ansible_collection_url community crypto}
Source:         https://github.com/ansible-collections/community.crypto/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        pathfix.py
# Exclude unneceesary development files and duplicate docs from the built
# collection. This is a downstream only patch. Upstreams include these files
# for reasons that are irrelevant to Fedora.
#Patch0:         0001-Exclude-unnecessary-files-from-built-collection.patch
BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif

# For ansible cli commmands
BuildRequires:  ansible-core >= 2.10

# For pathfix.py
BuildRequires:  python2-devel
BuildRequires:  python3-devel


BuildArch:      noarch


%description
%{summary}.


%prep
%autosetup -n community.crypto-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +


%build
%ansible_collection_build


%install
%ansible_collection_install
#Fix ambiguous python shebangs using a pathfix.py modified by me (Lans Hung <lans.hung@oracle.com>)
%{SOURCE1} -i "%{__python2} %{py2_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/
%{SOURCE1} -i "%{__python3} %{py3_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/



%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COPYING LICENSES/*
%doc README.md CHANGELOG.rst


%changelog
* Wed May 31 2023 Lans Hung<lans.hung@oracle.com> - 2.10.0-1
- Init package
